Skip to main content

BLOCK_PERIOD


Supported Network

Network

Supporting

Ethereum Mainnet

Ethereum Testnet (sepolia)

Ethereum Testnet (holesky)

Base Mainnet

Base Testnet (sepolia)

Polygon Mainnet

Polygon Testnet (amoy)

Arbitrum Mainnet

Arbitrum Testnet (sepolia)

Optimism Mainnet

Optimism Testnet (sepolia)

Kaia Mainnet

Kaia Testnet (kairos)

Aptos Mainnet

Aptos Testnet



Webhook Creation Request Example

When setting the eventType value to BLOCK_PERIOD, the available condition object fields are as follows.

Key

Type

Required

Description

Example Value

period

Integer

true

The block interval value for receiving event alerts. If set to 1, you will receive an alert every time a new block is created.

3

Request Example

curl --location 'https://web3.nodit.io/v1/ethereum/mainnet/webhooks' \
--header 'Content-Type: application/json' \
--header 'X-API-KEY: ••••••' \
--data '{
"eventType": "BLOCK_PERIOD",
"description": "{WEBHOOK_DESCRIPTION}",
"notification": {
"webhookUrl": "{WEBHOOK_LISTENER_ENDPOINT}"
},
"isInstant": false,
"condition": {
"period": 1
}
}'

Response Example

{
"subscriptionId": "4975",
"sequenceNumber": "2",
"description": "{WEBHOOK_DESCRIPTION}",
"protocol": "ethereum",
"network": "mainnet",
"subscriptionType": "WEBHOOK",
"notification": {
"webhookUrl": "{WEBHOOK_LISTENER_ENDPOINT}"
},
"eventType": "BLOCK_PERIOD",
"event": {
"period": 1,
"message": {
"parent_hash": "0x3876f79a58f2f6373a5dcdbdebbcd2f065471c60cfd0b3ce5e9e232a95c736b9",
"sha3_uncles": "0x1dcc4de8dec75d7aab85b567b6ccd41ad312451b948a7413f0a142fd40d49347",
"miner": "0x1f9090aae28b8a3dceadf281b0f12828e676c326",
"state_root": "0x7ac536c8c098f562ff7f2980cc4421146378841a10f2d5c500a351b198e1d137",
"transactions_root": "0x26d7ca0c25c8a56790fba4b6d733a2c3473f07a5ef7e2fa25a9fa6d0ebf70cb4",
"receipts_root": "0x76f1c560a0b0c74b41326557e9de325651bdea753ca80fadd55f78ffc9b41a98",
"logs_bloom": "0xd36dc04a8d978abfaf198d198dc212257d2db4386404b094629980f116e5ba7a312d2e3ce0847000de08de53ec66e75f0ef9b9e899c7a4425dd7e5d05438a1c16a4697fa0349298dd8eae13dc42350a58447c37585d6ddd43d90b757de6483d85e67590c3be683a9a44e93a16a3bc9994f3b6b2cd37cac4a22d19db70d3c02b50a9f1249152ef55902c473708bed3626d405ccd5a372dc4b2e3210e27eb4da63cfe49a483b38be726f2550eff889ccb03dedd8f6d1aee38e0ef92f71129c60ed0695b94223427ecb52e0c23342d9bfa612ead10ad66a12d0af1dd7c2eba26f82033fe8d6af366dd2d20456965564379a57ecb1e0f34832c12b8cd35b748cc7bf",
"difficulty": "0x0",
"block_number": 21492469,
"gas_limit": "0x1c9c380",
"gas_used": "0xfbbbca",
"block_timestamp": 1735286483,
"extra_data": "0x7273796e632d6275696c6465722e78797a",
"mix_hash": "0x9c64a9d16896399bbe554fba906e3dca8c3ef954bf69f40cb0b37a9dfd347671",
"nonce": "0x0000000000000000",
"hash": "0x584c063351be17d3f655dcf6a45d00412a76a6baa854e9c1df127bac4fa8c824",
"size": "0x14c0e",
"total_difficulty": "0xc70d815d562d3cfa955",
"transactions": [
"0xd67e8411a699056e9c59fd73ca220591c6ce51f3f1aa591bdc2aa8b73e3a4842",
"0xd3d4607165f0b160dd196c01a6bb7d45b3a983187dedf8bf504a1815322b344f",
"0xb0bdb4ad9db54ccbfec51e1ab8b2dc90f92be7287c9bc952ab232d49330a41cb",
...
...
"0x7a9737a6fab79cb3b4935064b2a8935d7f177a35f4f022ea995cd5f4cfea719e",
"0xd89ad743bfa3142516c10e540add3f5235f99952452a2d6dfc652be00ff3ef28",
"0xe218c988528142fc35c2fe3d6e41a89cc91d8826fae8aac7a8ead94edbeb3044",
"0xbbf4b846a39ff966ce9d6b44dc6dfdec85226dc3fc297984307ee5e4be19d9f0",
"0x1955692e21add9dbce7bec4ad6c2cf5df5ef89e7bd65da08e932ca2ce5d26c60"
],
"transaction_count": 231,
"log_count": 385,
"base_fee_per_gas": "0x127bd3a29",
"withdrawals_root": "0x77c409ba5b061932bd9256d617b7d40ca094f3c1cb64a79f91ff4cd71a9130a1",
"withdrawal_count": 16,
"blob_gas_used": "0x0",
"excess_blob_gas": "0x4700000",
"parent_beacon_block_root": "0x58f198c49a2603c668af232fae478ebf543bc08a62bedb5c50df3df62aa1e19a"
}
},
"createdAt": "2024-12-27T08:03:07.417Z"
}